Bug 439296 - two usb ports out of three do not work on thinkpad t61
two usb ports out of three do not work on thinkpad t61
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-27 18:42 EDT by Andrew White
Modified: 2008-04-27 22:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-27 22:08:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of "dmesg" (31.60 KB, text/plain)
2008-03-27 18:45 EDT, Andrew White
no flags Details

  None (edit)
Description Andrew White 2008-03-27 18:42:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv: Gecko/20080208 Fedora/ Firefox/ pango-text

Description of problem:
On thinkpad t61 there are three usb ports. One is on the left side of the computer and the other two are on the right. The one on the left works great. The two on the right do not work. I have noticed this with multiple devices such as usb flash drives, external hard drives, and a wireless usb mouse. 

I originally searched the Fedora forums and found a post of someone else with the same problem. I the post was old with no responses so I replied to get it noticed. After a few more posts I was instructed to run "dmesg > ~/dmesg.txt" and then post the resulting text file. I did so and the other forum member pointed out a few lines of the text file that were to blame. He then instructed me to report the bug. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Attach usb device to one of the usb ports in question.

Actual Results:
Nothing happens.

Expected Results:
If I'm attaching a drive, I would expect it to mount. If I'm attaching a mouse then I would expect the mouse to be recognized and work.

Additional info:
irq 19: nobody cared (try booting with the "irqpoll" option)

Call Trace:
<IRQ> [<ffffffff810667e3>] __report_bad_irq+0x30/0x72
[<ffffffff81066a34>] note_interrupt+0x20f/0x253
[<ffffffff81067320>] handle_fasteoi_irq+0xa9/0xd1
[<ffffffff8100e0ec>] do_IRQ+0xf1/0x161
[<ffffffff8100c0d1>] ret_from_intr+0x0/0xa
<EOI> [<ffffffff811625cb>] acpi_processor_idle+0x2be/0x49b
[<ffffffff811625c1>] acpi_processor_idle+0x2b4/0x49b
[<ffffffff8116230d>] acpi_processor_idle+0x0/0x49b
[<ffffffff8100ae83>] cpu_idle+0x8c/0xaf
[<ffffffff81429ba5>] start_kernel+0x2ca/0x2d6
[<ffffffff81429140>] _sinittext+0x140/0x144

[<ffffffff811a68ab>] (usb_hcd_irq+0x0/0x52)
Disabling IRQ #19
Comment 1 Andrew White 2008-03-27 18:45:26 EDT
Created attachment 299402 [details]
Output of "dmesg"
Comment 2 Pete Zaitcev 2008-04-01 19:37:37 EDT
See also bug 432770.
Two notes:
 1. T61 is different from X61 in this regard
 2. It's both kernel problem and a BIOS bug, F8 has what is required
    to work if BIOS is fixed too.
Comment 3 petrosyan 2008-04-25 11:43:46 EDT
you are using ThinkPad BIOS version 1.14

If you upgrade to the latest BIOS your problem will be fixed.

Note You need to log in before you can comment on or make changes to this bug.